<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<div class="card-columns" th:fragment="user-locations" id="locations-list">
    <div th:each="location : ${locations}" class="card" style="width: 18rem;">
        <img class="card-img-top" alt="Card image cap"/>
        <div class="card-body">
            <h5 class="card-title">Card title</h5>
            <p class="card-text"
               th:text = "${location.user.username} + ' '+ ${location.radius} + ${location.dimension}">
            </p>
            <a th:href="@{/user-locations/{authorId}(authorId=${location.user.id})}"
               th:text="${location.user.username}">
            </a>
            <a class="btn btn-primary"
               th:if="${location.user.id == session['SPRING_SECURITY_CONTEXT'].authentication.principal.id} "
               th:href="@{/user-locations/{authorId}(authorId=${location.user.id},location=${location.id})}"
               th:text="Edit"
            ></a>
        </div>
    </div>
</div>
</html>